Skip to main content
GET
/
api
/
v1
/
alerts
/
firings
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/alerts/firings
import requests

url = "https://api.staging.qyl.dev/api/v1/alerts/firings"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/alerts/firings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "rule_id": "<string>",
      "fingerprint": "<string>",
      "title": "<string>",
      "fired_at": "2023-11-07T05:31:56Z",
      "message": "<string>",
      "trigger_value": 123,
      "threshold_value": 123,
      "context_json": "<string>",
      "acknowledged_at": "2023-11-07T05:31:56Z",
      "acknowledged_by": "<string>",
      "resolved_at": "2023-11-07T05:31:56Z",
      "dedup_key": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Query Parameters

ruleId
string

Rule ID filter

status
enum<string>

Status filter Alert firing status

Available options:
firing,
acknowledged,
resolved,
suppressed
startTime
string<date-time>

Start time

endTime
string<date-time>

End time

limit
integer<int32>
default:20

Page size

Required range: 1 <= x <= 100
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)